Author Topic: Lua 5.3 now for MacOS!  (Read 964 times)

Offline Hyram

  • Valued Member (10+ Posts)
  • **
  • Posts: 13
  • Y-y-yes, Mis-ter Tracy!
Lua 5.3 now for MacOS!
« on: July 17, 2018, 09:29:06 PM »
https://github.com/SolraBizna/MacLua5.3

What is this?
This is a "proper" port of Lua 5.3 to the greatest, most modern operating system in the world: Classic MacOS!

Requirements
- 68020 or better
- At least 1MB of memory
- System 7.1.2 or later
- CFM-68K Runtime Enabler (not required on PowerPC)


For those who don't know Lua:

https://en.wikipedia.org/wiki/Lua_(programming_language) -- Lua is a lightweight, multi-paradigm programming language designed primarily for embedded use in applications.
"What's your opinion Brains?" "I'm afraid music in the modern idiom is too repetitive for my taste, al-although the rhythm has a certain hypnotic effect."

Offline MacNewbie

  • Valued Member (10+ Posts)
  • **
  • Posts: 19
  • New Member
Re: Lua 5.3 now for MacOS!
« Reply #1 on: July 19, 2018, 10:25:41 AM »
This is pretty fantastic! I haven't put it on my PowerBook G4 yet, but I will... a big Thanks! to whoever did this.